Subject: bug#20628: 25.0.50; Incorrect line height for some fonts

From: Eli Zaretskii <[email-masked]>
Date: Fri, 22 May 2015 22:15:39 +0300

> Date: Fri, 22 May 2015 14:57:01 -0400
> From: Clément Pit--Claudel
>  <[email-masked]>
> CC: [email-masked]
> 
> Here is an hypothesis. When I open Latin Modern in FontForge, I see two types of ascent and descent values: the ones in the "General" tab are 806 and 194, and the ones in the OS/2 tab, in particular Win Ascent and Win Descent, are 3560 and 3060. Such a discrepancy does not seem to exist in the few well-behaved fonts that I checked.
> 
> Could it be that most applications use the first set of values, but Emacs relies on the second?

Maybe.  I know nothing about these internals of the fonts, sorry.  I
hope someone more knowledgeable could chime in and tell us what, if
anything, to do with this discrepancy.  If you can find such person(s)
on some relevant forum, please invite them to join this discussion and
help us fix this problem.